<template>
	<view class="container">
		<uNavBar dark :fixed="true" backgroundColor="#3F9EFF" statusBar="false" left-icon="left" left-text="返回"
			:title="title" @clickLeft="toBack">
		</uNavBar>
		<view class="content">
			<view class="form">
				<view class="cell">
					<view class="name">APP版本</view>
					<input type="text" placeholder="" disabled="true" v-model="versionText" class="ipt"
						placeholder-class="hold" style="color: skyblue;" />
				</view>
				<view class="cell">
					<text>开发单位：</text>
					<text style="color: skyblue;">北京大恒软件技术有限公司</text>
				</view>
				<view class="cell">
					<text>技术支持电话：</text>
					<text @click="call('18600457599')" style="color: skyblue;text-decoration-line: underline;">18600457599</text>
				</view>
				<view class="cell">
					<view style="flex: 1;flex-direction: column;">
						<view>
							<uni-link :href="apkUrl" text="安卓APP安装包下载地址" color="#007BFF" fontSize="16"
								copyTips="已自动复制下载地址，请在手机浏览器里粘贴该下载地址"></uni-link>
						</view>
						<view style="margin-top: 10px;">
							<text
								style="font-size: 0.6rem;color: lightcoral;">备注：在小程序内点击下载地址可复制安装包链接，需自行打开手机浏览器进行粘贴安装包链接进行下载，在app内点击下载地址可直接打开手机浏览器。</text>
						</view>
					</view>
				</view>
			</view>
		</view>

	</view>
</template>

<script>
	import http from '@/http/api.js'
	import uNavBar from '@/uni_modules/uni-nav-bar/components/uni-nav-bar/uni-nav-bar.vue'
	import {
		version
	} from '@/common/setting.js'
	export default {
		components: {
			uNavBar
		},
		data() {
			return {
				versionText: '',
				title: '关于',
				apkUrl: '',
			};
		},
		onLoad() {
			this.versionText = version;
			this.getAppUrl();
		},
		methods: {
			toBack() {
				uni.navigateBack({
					delta: 1
				})
			},
			getAppUrl() {
				let that = this;
				http.request({
					url: '/galaxy-business/version/app',
					method: 'GET'
				}).then(res => {
					console.log(JSON.stringify(res))
					if (res.data != null) {
						that.apkUrl = res.data.apkUrl;
					}
				}).catch(err => {
					console.log(err)
				})
			},
			call(phone) {
				console.log(phone)
				uni.showModal({
					content: '是否需要拨打[' + phone + ']?',
					showCancel: true,
					success(res) {
						if (res.confirm) {
							uni.makePhoneCall({
								phoneNumber: phone
							});
						}
					}
				});
			},
		}
	};
</script>

<style lang="scss">
	.container {
		background-color: #f7f7f7;
		min-height: 100vh;
		padding: 0 0 200rpx;
		overflow: hidden;
	}



	.content {
		background-color: #ffffff;
		overflow: hidden;
	}

	.form {
		padding: 0 36rpx;

		.cell {
			display: flex;
			justify-content: space-between;
			align-items: center;
			padding: 40rpx 0;
			font-size: 30rpx;
			// font-family: Source Han Sans CN;
			// font-weight: bold;
			color: #666666;

			&:not(:last-of-type) {
				border-bottom: 2rpx solid #efefef;
			}

			.name {
				font-size: 0.8rem;
			}

			.ipt {
				flex: 1;
				margin-left: 40rpx;
				text-align: right;
				font-size: 0.8rem;
				// font-family: Source Han Sans CN;
				// font-weight: bold;
				color: #333333;
			}

			.hold {
				font-size: 27rpx;
				// font-family: Source Han Sans CN;
				// font-weight: bold;
				color: #c8c8ce;
			}
		}
	}
</style>